2019-12-07 07:58 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0003515Spring engineGeneralpublic2017-07-04 16:36
ReporterPixelOfDeath 
Assigned ToKloot 
PrioritylowSeveritytextReproducibilityalways
StatusresolvedResolutionfixed 
Product Version92.0.1+git 
Target VersionFixed in Version 
Summary0003515: Messages from /team command not expressive
DescriptionThe text messages from the /team command are not very expressive.

I forgot that team IDs is indexed by 0. In a game with 2 players using /team 2 gave me this error message:

Player (0) tried to change team illegally

This seems to mean that I am not allowed to change to the neutral gaia team, which has the ID right after the last normal player ID. But I didn't know that until I asked on the forum. This message should be changed.

Also if I try change to a team ID that doesn't exist it tells my I use the "wrong syntax":

Warning: /Team: wrong syntax (which is '/Team %teamid')
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0009970

abma (administrator)

messages should be changed to what?
"should be changed" is imo to unspecific...

~0009971

user744

trying to change to teamid that does not exist:
"teamid does not exist"

trying to change to gaia:
"gaia team can not be controlled"
or more general:
"this team can not be controlled"

~0017934

Kloot (developer)

Fix 64bf6d44c02f5a049bc3d00f38102c500b4151a1 committed to develop branch: fix 0003515, repo: spring changeset id: 8461
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2013-03-02 18:28 PixelOfDeath New Issue
2013-03-07 00:34 abma Note Added: 0009970
2013-03-07 00:44 user744 Note Added: 0009971
2017-07-04 16:36 Kloot Changeset attached => spring develop 64bf6d44
2017-07-04 16:36 Kloot Note Added: 0017934
2017-07-04 16:36 Kloot Assigned To => Kloot
2017-07-04 16:36 Kloot Status new => resolved
2017-07-04 16:36 Kloot Resolution open => fixed
+Issue History